package organization;

import util.Gender;

/**
 * This class represents an internal employee who has no managerial
 * responsibilities.
 */
public class InternalEmployee extends NonManagerEmployee {
  public InternalEmployee(String name, double pay, Gender gender) {
    super(name, pay, gender);
  }


  @Override
  public <R> R accept(EmployeeVisitor<R> visitor) {
    return visitor.visitInternalEmployee(this);
  }
}
